Internal ESAPI utility functions.
Enhanced System API » Internals of Enhanced System API

## Data Structures

struct | HASH_TAB_ITEM

## Detailed Description

Todo
  Description and Documentat of functions

## Data Structure Documentation

## HASH_TAB_ITEM

struct HASH_TAB_ITEM

An entry in a cpHash or rpHash table.

### Data Fields

TPM2_ALG_ID | alg
size_t | size
uint8_t | digest [sizeof(TPMU_HA)]

#### Field Documentation

## alg

TPM2_ALG_ID alg

The hash algorithm.

## digest

uint8_t digest[sizeof(TPMU_HA)]

The digest.

## size

size_t size

The digest size.